<?php
/*
# ------------------------------------------------------------------------
# Module: MJ Treeview for VirtueMart
# ------------------------------------------------------------------------
# Copyright (C) 2015 www.mojoomla.com. All Rights Reserved.
# @license http://www.gnu.org/licenseses/gpl-3.0.html GNU/GPL
# Author: mojoomla.com
# Websites: http://www.mojoomla.com
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// VirtueMart Setting
if(!class_exists('VmConfig')) {
	require(JPATH_ROOT . '/administrator/components/com_virtuemart/helpers/config.php');
}

VmConfig::loadConfig();
VmConfig::loadJLang($module->module, true);

require_once(dirname(__FILE__).'/helper.php');

$categoryModel 	= VmModel::getModel('Category');
$categoryID 	= $params->get('parentCategoryID', 0);
$vendorId		= 1;
$fieldSort		= $params->get('sort', 'category_name');
$ordering		= $params->get('ordering', 'asc');
$count			= $params->get('showCountItems', 1);
$categories 	= $categoryModel->getChildCategoryList($vendorId, $categoryID, $fieldSort, $ordering);

require(JModuleHelper::getLayoutPath($module->module, 'default'));
