<?php
/*
# ------------------------------------------------------------------------
# Module: MJ Treeview for VirtueMart
# ------------------------------------------------------------------------
# Copyright (C) 2015 www.mojoomla.com. All Rights Reserved.
# @license http://www.gnu.org/licenseses/gpl-3.0.html GNU/GPL
# Author: mojoomla.com
# Websites: http://www.mojoomla.com
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addScript(JURI::base() . 'modules/' . $module->module . '/assets/js/jquery.cookie.js');
$document->addScript(JURI::base() . 'modules/' . $module->module . '/assets/js/jquery.treeview.js');
$document->addStyleSheet(JURI::base() . 'modules/' . $module->module . '/assets/css/jquery.treeview.css');
?>
<div id="mj-treeview-virtuemart<?php echo $module->id; ?>" class="mj-treeview-virtuemart">
	<?php if($params->get('showControl', 1)) { ?>
	<div id="mj-treeview-treecontrol<?php echo $module->id; ?>" class="treecontrol">
        <a href="#" title="<?php echo JTEXT::_('MJ_TREEVIEW_VMART_COLLAPSE_ALL_DESC'); ?>"><?php echo JTEXT::_('MJ_TREEVIEW_VMART_COLLAPSE_ALL'); ?></a> | 
        <a href="#" title="<?php echo JTEXT::_('MJ_TREEVIEW_VMART_EXPAND_ALL_DESC'); ?>"><?php echo JTEXT::_('MJ_TREEVIEW_VMART_EXPAND_ALL'); ?></a> | 
        <a href="#" title="<?php echo JTEXT::_('MJ_TREEVIEW_VMART_TOGGLE_ALL_DESC'); ?>"><?php echo JTEXT::_('MJ_TREEVIEW_VMART_TOGGLE_ALL'); ?></a>
    </div>
	<?php } ?>
	
	<ul class="level0 <?php echo $params->get('moduleStyle', ''); ?>">
		<?php 
		require JModuleHelper::getLayoutPath($module->module, 'default_items'); ?>
	</ul>
</div>
<script type="text/javascript">
jQuery("#mj-treeview-virtuemart<?php echo $module->id; ?> ul").treeview({
	animated: 	"<?php echo $params->get('animated', 1); ?>",
	persist: 	"<?php echo $params->get('persist', 'cookie'); ?>",
	collapsed: 	<?php echo $params->get('collapsed', 1) ? "true" : "false"; ?>,
	unique:		<?php echo $params->get('unique', 1) ? "true" : "false"; ?>,
	<?php if($params->get('showControl', 1)) { ?>
	control: "#mj-treeview-treecontrol<?php echo $module->id; ?>",
	<?php } ?>
});
</script>